package com.scpyun.platform.jilinsscgsdp.check;

import com.scpyun.base.core.exception.CustomException;
import com.scpyun.base.core.utils.StringUtils;

import java.util.Map;

/**
 * @Author liu
 * @Date 2024/7/15 14:33
 * @PackageName:com.scpyun.platform.jilinsscgsdp.check
 * @ClassName: EventAttach
 * @Description: TODO
 * @Version 1.0
 */
public class EventAttachCheckUtils {
    public static void attachCheck(Map<String, Object> map) {
        if (StringUtils.isEmpty(map.get("url"))) {
            throw new CustomException("图片链接不可为空！");
        }
        /*if (StringUtils.isEmpty(map.get("attach_type"))) {
            throw new CustomException("附件类型不可为空！");
        }*/
        if (StringUtils.isEmpty(map.get("uuid"))) {
            throw new CustomException("uuid不可为空！");
        }
    }
}
